Subject: Re: [BUG] before() integer overflow

From: Nicolas Bareil <[email-masked]>
Date: Tue, 05 Aug 2008 20:24:27 +0200

David Stevens <[email-masked]> writes:
>         In the sequence space, 0xffffffff is before 0 (by 1), so
> before() should return true. In your example, you don't have enough
> f's for it to be -1 as a signed number, so I'm assuming you mean
> 8 of them there. If you mean 6 f's, then the result is not -1, but the
> positive number 0xffffff, which returns false.

Yes I meant 8 f (I should change my too small fonts ;) )

Thanks to Ben for his explanation, I thought the PAWS was handled in a
specific way. Sorry!

-- 
Nicolas Bareil                                  http://chdir.org/~nico/
OpenPGP=0xAE4F7057 Fingerprint=34DB22091049FB2F33E6B71580F314DAAE4F7057